const Mesa = require('vendor/Mesa.js');
const ShopifyGraphql = require('vendor/ShopifyGraphql.js');
const Shopify= require('vendor/Shopify.js');

/**
 * A Mesa Script exports a class with a script() method.
 */
module.exports = new class {
  script = (payload, context) => {
    let vars = context.steps;
    
    let query = `
      mutation collectionReorderProducts($id: ID!, $moves: [MoveInput!]!) {
        collectionReorderProducts(id: $id, moves: $moves) {
          job {
            id
          }
          userErrors {
            field
            message
          }
        }
      }
    `;

    const r = ShopifyGraphql.send(query, {
      "id": "gid://shopify/Collection/" + vars.shopify_5.id,
      "moves": [
        {
          "id":"gid://shopify/Product/" + vars.shopify_3.id,
          "newPosition": "0"
        }
      ]
    });

    Mesa.output.next({"response": r.data});
  }
}
